Table of Contents

## Name

XtVaCreateArgsList - dynamically allocate a varargs list

## Syntax

XtVarArgsList XtVaCreateArgsList(unused, ...)
XtPointer unused;

## Arguments

unused
  Must be specified as NULL.
...
  Specifies a variable parameter list of resource name and value pairs.

## Description

The XtVaCreateArgsList function allocates memory and copies its arguments into a single list pointer, which may be used with XtVaNestedList. The end of both lists is identified by a name entry containing NULL. Any entries of type XtVaTypedArg are copied as specified without applying conversions. Data passed by reference (including Strings) are not copied, only the pointers themselves; the caller must ensure that the data remain valid for the lifetime of the created varargs list. The list should be freed using XtFree when no longer needed.

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also